libnova v 0.15.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Precession

## Functions
void LIBNOVA_EXPORT | ln_get_equ_prec (struct ln_equ_posn *mean_position, double JD, struct ln_equ_posn *position)
| Calculate the effects of precession on equatorial coordinates, convert current to J2000. More...
void LIBNOVA_EXPORT | ln_get_equ_prec2 (struct ln_equ_posn *mean_position, double fromJD, double toJD, struct ln_equ_posn *position)
| Calculate the effects of precession on equatorial coordinates, between arbitary Jxxxx epochs. More...
void LIBNOVA_EXPORT | ln_get_ecl_prec (struct ln_lnlat_posn *mean_position, double JD, struct ln_lnlat_posn *position)
| Calculate the effects of precession on ecliptical coordinates. More...

## Detailed Description

Precession is the changing direction of the Earth's rotational axis over time and is due to the gravitational influence of the Sun and the Moon.

All angles are expressed in degrees.

## Function Documentation

void ln_get_ecl_prec | ( | struct ln_lnlat_posn * | mean_position,
|  | double | JD,
|  | struct ln_lnlat_posn * | position
| ) |  |

Calculate the effects of precession on ecliptical coordinates.

Parameters

  mean_position | Mean object position
  JD | Julian day
  position | Pointer to store new object position.

Calculate ecliptical coordinates with the effects of precession for a given Julian Day. Uses mean ecliptical coordinates and is only for initial epoch J2000.0

Todo:
  To be implemented.

void ln_get_equ_prec | ( | struct ln_equ_posn * | mean_position,
|  | double | JD,
|  | struct ln_equ_posn * | position
| ) |  |

Calculate the effects of precession on equatorial coordinates, convert current to J2000.

Parameters

  mean_position | Mean object position
  JD | Julian day
  position | Pointer to store new object position.

Calculate equatorial coordinates with the effects of precession for a given Julian Day. Uses mean equatorial coordinates and is only for initial epoch J2000.0

References ln_helio_posn::B, ln_equ_posn::dec, ln_deg_to_rad(), ln_rad_to_deg(), ln_range_degrees(), and ln_equ_posn::ra.

Referenced by ln_get_apparent_posn().

void ln_get_equ_prec2 | ( | struct ln_equ_posn * | mean_position,
|  | double | fromJD,
|  | double | toJD,
|  | struct ln_equ_posn * | position
| ) |  |

Calculate the effects of precession on equatorial coordinates, between arbitary Jxxxx epochs.

Parameters

  mean_position | Mean object position
  fromJD | Julian day (start)
  toJD | Julian day (end)
  position | Pointer to store new object position.

Calculate the effects of precession on equatorial coordinates, between arbitary Jxxxx epochs. Use fromJD and toJD parameters to specify required Jxxxx epochs.

References ln_helio_posn::B, ln_equ_posn::dec, ln_deg_to_rad(), ln_rad_to_deg(), ln_range_degrees(), and ln_equ_posn::ra.

Referenced by ln_get_equ2000_from_gal(), and ln_get_gal_from_equ2000().